* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
.container {
  max-width: 1200px;
  margin: 0 auto;
}
.blok {
  margin: 10px auto 0;
  width: 600px;
  height: 600px;
  background-color: red;
}
.block-size {
  width: 100%;
  height: calc((100% - 20px) / 3);
}
.bg-green {
  background-color: green;
}
.m-b-10 {
  margin-bottom: 10px;
}
.bg-blue {
  background-color: blue;
}
.blue-size {
  width: calc((100% - 10px) / 2);
  height: 100%;
}
.d-flex {
  display: flex;
}
.padding {
  padding: 10px;
}
.m-r-10 {
  margin-right: 10px;
}
.yellow {
  background-color: yellow;
  width: calc((100% -10px) / 4);
  height: 100%;
}
.pink {
  background-color: pink;
}
.pink-size-big {
  width: 60%;
  height: 100%;
}
.pink-size {
  width: 40%;
  height: 100%;
}

@media (max-width: 991px) {
  .blok {
    width: 300px;
    height: auto;
  }
  .blue {
    flex-direction: column;
  }
  .blue-size:first-child {
    margin: 0 0 10px 0;
  }
  .blue-size {
    width: 100%;
    height: 80px;
  }
  .pink-0 {
    flex-direction: column;
  }
  .yellow-0 {
    justify-content: space-between;
    flex-wrap: wrap;
    height: auto;
  }
  .yellow {
    margin: 10px;
    width: 110px;
    height: 80px;
  }
  .pink-size {
    width: 100%;
    height: 50px;
  }
  .pink-size-big {
    width: 100%;
    height: 80px;
  }
  .pink:first-child {
    margin-bottom: 10px;
  }
}
